> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Invite User

> Invite a user to the organization by email.

Sends an invitation email to the provided address. The email contains a signed
activation link that lands the recipient on the sign-up confirmation screen
pre-filled with the organization's invite token, so they join this organization
when they complete sign-up.



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json post /api/partners/v2.0/org/{org_id}/invitations
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/org/{org_id}/invitations:
    post:
      tags:
        - Organization
      summary: Invite User
      description: >-
        Invite a user to the organization by email.


        Sends an invitation email to the provided address. The email contains a
        signed

        activation link that lands the recipient on the sign-up confirmation
        screen

        pre-filled with the organization's invite token, so they join this
        organization

        when they complete sign-up.
      operationId: integrations_api_api_v2_organizations_router_invite_user
      parameters:
        - in: path
          name: org_id
          schema:
            description: The organization ID of the user's organization
            format: uuid
            title: Org Id
            type: string
          required: true
          description: The organization ID of the user's organization
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrganizationInvitationInput'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationInvitationOutput'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationInvitationOutputError'
      security:
        - OAuth2: []
components:
  schemas:
    OrganizationInvitationInput:
      properties:
        email:
          description: The user's email address
          format: email
          title: Email
          type: string
      required:
        - email
      title: OrganizationInvitationInput
      type: object
    OrganizationInvitationOutput:
      properties:
        user_email:
          title: User Email
          type: string
        email_id:
          format: uuid
          title: Email Id
          type: string
        invite_id:
          format: uuid
          title: Invite Id
          type: string
      required:
        - user_email
        - email_id
        - invite_id
      title: OrganizationInvitationOutput
      type: object
    OrganizationInvitationOutputError:
      properties:
        detail:
          title: Detail
          type: string
      required:
        - detail
      title: OrganizationInvitationOutputError
      type: object
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````